<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:versionCode="1">

    <uses-feature
        android:name="android.hardware.telephony"
        android:required="false" />
    <uses-feature
        android:name="android.software.leanback"
        android:required="false" />
    <uses-feature
        android:name="android.hardware.touchscreen"
        android:required="false" />

    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.CALL_PHONE" />

    <queries>
        <provider android:authorities="com.xdja.app.pj" />
        <provider android:authorities="com.ydjw.ua.getCredential" />
        <provider android:authorities="com.ydjw.ua.getDeviceCredential" />
        <provider android:authorities="com.ydjw.rsb.getResourceAddress" />
    </queries>

    <application
        android:name=".main.App"
        android:allowBackup="true"
        android:dataExtractionRules="@xml/data_extraction_rules"
        android:fullBackupContent="@xml/backup_rules"
        android:icon="@mipmap/jinghui"
        android:label="@string/app_name"
        android:networkSecurityConfig="@xml/network_security_config"
        android:roundIcon="@mipmap/jinghui"
        android:supportsRtl="true"
        android:theme="@style/Theme.PoliceDataSystem"
        tools:ignore="MissingTvBanner"
        tools:targetApi="31">
        <activity
            android:name=".apply.activity.QueryApplyResultActivity"
            android:exported="false" />
        <activity
            android:name=".mine.activity.ApplyDetailActivity"
            android:exported="false" />
        <activity
            android:name=".apply.activity.SuccessActivity"
            android:exported="false" />
        <activity
            android:name=".apply.activity.ApplyActivity"
            android:exported="false" />
        <activity
            android:name=".data.activity.PoliceEmergencyDetailActivity"
            android:exported="false"
            android:label="@string/title_activity_police_emergency_detail"
            android:theme="@style/Theme.PoliceDataSystem" />

        <meta-data
            android:name="appId"
            android:value="请输入您的应用id" />
        <meta-data
            android:name="regionalismCode"
            android:value="行政区划编码" />
        <meta-data
            android:name="networkCode"
            android:value="网络区域编码" />

        <activity
            android:name=".data.activity.KeyPersonDetailActivity"
            android:exported="false" />
        <activity
            android:name=".indexActivity"
            android:exported="true"
            android:label="@string/app_name"
            android:launchMode="singleTask"
            android:theme="@style/Theme.PoliceDataSystem">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <data
                    android:host="indexActivity"
                    android:scheme="indexActivity"
                    tools:ignore="AppLinkUrlError" />

                <category android:name="android.intent.category.LEANBACK_LAUNCHER" />
            </intent-filter>
        </activity>
    </application>

</manifest>